Subject: [bug#60752]

From: Declan Tsien <[email-masked]>
Date: Tue, 17 Jan 2023 08:30:53 +0800

Andrew Tropin <[email-masked]> writes:

> On 2023-01-14 09:54, Declan Tsien wrote:
>
>> Started a new thread since the subject has changed
>> https://issues.guix.gnu.org/60800
>
> Let's keep the discussion in this thread, not to lose the context.
>
> BTW, there is a retitle command for debbugs in case it necessary to
> change the title of the bug. 
>

Thanks.

>
> From what I see wpa-supplicant requirement is not needed, as Bruno
> mentioned, there are use cases, where connman can be used without
> wpa-supplicant or wireless backend at all.
>
> According to the documentation I was able to find, to enable iwd support
> --wifi=iwd_agent should be added to connmand, so I applied the first
> patch with a few adjustments: Completely removed wpa-supplicant
> requirement, realigned the code.  Unfortunately, I don't use connman and
> can't easily check, Declan, could you please confirm that iwd is now
> working correctly with connman?
>
> -- 
> Best regards,
> Andrew Tropin

Yeah, Its working.

In my case, --wifi=iwd_agent is not required either when using iwd.
But it should be useful when wpa-supplicant and iwd services are both
in the system.

Best regards,
Declan Tsien